Documentation
  1. Accesses
  • API
    • Getting Started
      • Overview
    • API Reference
      • Logs
        • Get filtered Events logs
      • Accesses
        • Create new QR Access
          POST
      • Users
        • Create new Property Manager
        • Update existing Property Manager
    • External Visits
      • External NFC Visit
  • Webhooks
    • Getting started with webhooks
    • Security & Signature Verification
  1. Accesses

Create new QR Access

POST
/public/accesses

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.buzz-in.co/public/accesses' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "propertyId": "667d3b9afcd3f10012eafdce",
    "hostId": "667d3b9afcd3f10012eafdce",
    "flatId": "667d3b9afcd3f10012eafdce",
    "note": "Lorem ipsum",
    "guestName": "Philip Beatty",
    "guestPhone": "+971512345678",
    "title": "bathrobe mature oof once er prestigious etch spiffy",
    "isOneTimeAccess": true
}'
Response Response Example
{
    "_id": "string",
    "propertyId": "string",
    "hostId": "string",
    "flatId": "string",
    "type": "string",
    "note": "string",
    "title": "string",
    "guestName": "string",
    "guestPhone": "string",
    "isOneTimeAccess": true,
    "validFrom": "string",
    "validTill": "string",
    "days": {}
}
Previous
Get filtered Events logs
Next
Create new Property Manager
Built with